Bug 1564107 - un-manage task managed cluster check
Summary: un-manage task managed cluster check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Shubhendu Tripathi
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1516135 1526338
TreeView+ depends on / blocked
 
Reported: 2018-04-05 11:55 UTC by Lubos Trilety
Modified: 2018-09-04 07:04 UTC (History)
4 users (show)

Fixed In Version: tendrl-commons-1.6.3-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl commons issues 895 0 None None None 2018-04-07 07:13:19 UTC
Red Hat Bugzilla 1565978 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:04:50 UTC

Internal Links: 1565978

Description Lubos Trilety 2018-04-05 11:55:53 UTC
Description of problem:
Un-manage fails when the tendrl.objects.Cluster.atoms.IsClusterManaged check says:
Failed pre-run: tendrl.objects.Cluster.atoms.IsClusterManaged for flow: Unmanage a Gluster Cluster

There's something broken in the check as it states the cluster to be managed even when import for some reason failed however tendrl-gluster-integration packages were installed on some/all nodes.

Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.1-3.el7rhgs.noarch
tendrl-ui-1.6.1-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-commons-1.6.1-3.el7rhgs.noarch
tendrl-api-1.6.1-3.el7rhgs.noarch
tendrl-api-httpd-1.6.1-3.el7rhgs.noarch
tendrl-monitoring-integration-1.6.1-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.6.0-1.el7rhgs.noarch
tendrl-node-agent-1.6.1-3.el7rhgs.noarch
tendrl-grafana-plugins-1.6.1-3.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Import cluster and un-manage cluster first time
2. Remove tendrl-gluster-integration package from some gluster server node. Flaw a tendrl repository, e.g. change baseurl link to some which does not exist.
3. Re-import again
4. Try to un-manage the cluster
(The scenario could be reproduced without the first step, however in such case it doesn't always happen)

Another scenario:
1. Try to import a running gluster cluster for which a newer gluster packages are available.
2. Try to un-manage the cluster

Actual results:
Un-manage fails:
Failed pre-run: tendrl.objects.Cluster.atoms.IsClusterManaged for flow: Unmanage a Gluster Cluster

Expected results:
Un-manage could be done without an issue.

Additional info:

Comment 1 Lubos Trilety 2018-04-06 09:48:35 UTC
The wrong of the tendrl.objects.Cluster.atoms.IsClusterManaged check is probably elsewhere. It seems to say the cluster is not managed, which is true and correct. However it should not fail the whole un-manage task as the task should run for a cluster which failed to be imported.

That said the first scenario does not need the first step at all.

Comment 8 Lubos Trilety 2018-04-24 12:01:27 UTC
Verified in:
tendrl-commons-1.6.3-2.el7rhgs.noarch

The problematic check is not there anymore.

Comment 10 errata-xmlrpc 2018-09-04 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.